<h4><%= t('.welcomme') %></h4>

<!--
<% # binding.pry %>

<%#= line_chart [ {name: 'All', data: Ahoy::Visit.group_by_day(:started_at).count},
                 {name: 'Unique', data: Ahoy::Visit.group_by_day(:started_at).distinct.select('user_id').count}
               ],
               xtitle: "Date", ytitle: "Nb visits Per day"
%>

<%#= column_chart Ahoy::Visit.group(:user_id).count %>

<hr>

<%#= column_chart Ahoy::Event.group_prop(:detail_type).group_by_day(:time).count,
                 xtitle: "Date", ytitle: "Nb events", stacked: true %>

<%#= column_chart Ahoy::Event.group(:visit_id).count,
                 xtitle: "Visits", ytitle: "Nb events" %>

<%#= column_chart Ahoy::Event.group_prop(:detail_type, :rca_id).count, stacked: true,
                 xtitle: "Rcas", ytitle: "Nb events" %>

<hr>

<%  # datas_users = {}
    # Ahoy::Visit.group(:user_id).count.map { |visit|
    #   datas_users[User.find(visit[0]).username] = visit[1]
    # }
%>
<%#= column_chart datas_users,
                 xtitle: "User's name", ytitle: "Nb visits total" %>

<hr>

<% # @users = User.all %>
<%#= line_chart @users.map { |user|
  #      {name: user.username, data: user.visits.group_by_day(:started_at).count}
  #  },
  #  xtitle: "Date", ytitle: "Nb visits Per day"
%>
-->
